让windows 2003 支持 php5.6 php7

fugui 2018-4-16 921

php5.5以后停止对2003的支持,但不乏高手改造,感谢lindasc.com分享
最新版本:7.0.9 / 5.6.24
更新日期:2016-7-28
系统要求:Windows XP/2003
修改说明:
因从头编译PHP太麻烦,故将部分Vista以上的API函数手动实现,然后为可执行文件的导入表打补丁。
目前实现的函数列表:















DLL名称函数名称nonxp.dll版本
iphlpapi.dllif_nametoindex0.0.1.11
kernel32.dllGetFinalPathNameByHandleA0.0.2.20
GetFinalPathNameByHandleW0.0.2.20
GetTickCount640.0.1.11
InitializeConditionVariable0.0.4.40
InitializeCriticalSectionEx0.0.3.30
SleepConditionVariableCS0.0.4.40
WakeAllConditionVariable0.0.4.40
WakeConditionVariable0.0.4.40
shell32.dllSHGetKnownFolderPath0.0.3.30
ws2_32.dllWSASendMsg0.0.1.11
inet_ntop0.0.1.11
inet_pton0.0.1.11

  使用说明:
PHP 7:系统必须装有IE8和VC14运行时库。
PHP 5.6:系统必须装有IE8和VC11运行时库。
  下载地址:
程序包
最新回复 (0)
返回
发新帖